      program li_strain
*    Lecture d'un fichier strain
*
*   Corrections
*       
*     Version 2:   mai 1996
*
      implicit none
      character * 60 filein
      integer dimz,ir,dimx,i,j,iz,ix,col
      include 'strain.h'
      real strain_val(x_max,2*z_max)
      character * 1 reponse
*
      write(*,*) 'Nom du fichier strain a traiter?'
      read(*,'(A)') filein
      write(*,*) 'Dimensions z et x?'
      read(*,*) dimz,dimx
      if (dimz.gt.z_max) then
         write(*,*) 'dimension z trop grande'
         write(*,*) 'Modifier z_max (header strain.h)'
         stop
      endif
      if (dimx.gt.x_max) then
         write(*,*) 'dimension x trop grande'
         write(*,*) 'Modifier x_max (header strain.h)'
         stop
      endif
      open(unit=20,form='unformatted',file=filein,
     &     iostat=ir,status='old')
      if (ir.ne.0) then
          write(*,*) 'Erreur open ',filein
          stop
      endif
      do iz =1,2*dimz
         read(20) (strain_val(ix,iz),ix=1,dimx)
      enddo
*
*    fin lecture des donnees
*    debut analyse
*
      reponse = 'o'
      do while (reponse.ne.'N'.and.reponse.ne.'n')
         write(*,*) 'analyse x/z (0/1), derivee x/z (0/1)?'
10       continue
         write(*,*) 'numero ligne/colonne a explorer?'
         read(*,*) i,j,col
         if(i.eq.0.and.col.gt.dimz) then
              write(*,*) 'value larger than ',dimz
              goto 10
         elseif(i.eq.1.and.col.gt.dimx) then
              write(*,*) 'value larger than ',dimx
              goto 10
         endif
         write(*,*)'fichier d ecriture?'
         read(*,'(A)') filein
         open(unit=20,file=filein)
         if(i.eq.0.and.j.eq.0) then
*
*    analyse selon x, derivee x
*
             do ix=1,dimx
                write(20,*) ix,strain_val(ix,2*col-1)
             enddo         
*
*    analyse selon x, derivee z
*
         elseif(i.eq.0.and.j.eq.1) then
             do ix=1,dimx
                write(20,*) ix,strain_val(ix,2*col)
             enddo
* 
*    analyse selon z, derivee x
*
         elseif(i.eq.1.and.j.eq.0) then
             do iz=1,dimz
                write(20,*) iz,strain_val(col,2*iz-1)
             enddo
         else
*
*    analyse selon z, derivee z
*
             do iz=1,dimz
                write(20,*) iz,strain_val(col,2*iz)
             enddo    
         endif
      close(unit=20)
          write(*,*) 'Nouvelle analyse? (o/n)?'
          read(*,'(A)') reponse
      enddo
      stop 'fin normale'
      end
